landscape-client(1)

NAME
landscape-client - Landscape system client

SYNOPSIS

landscape-client [options]

DESCRIPTION

The landscape-client is the client program for the landscape system management software. The client is responsible for communicating system information to the landscape server and executing remote management commands on the system.

OPTIONS

--version
    Show program's version number and exit.

-h, --help
    Show this help message and exit.

-c FILE, --config=FILE
    Use config from this file (any command line options override settings from the file). (default: ’/etc/landscape/client.conf')

-d PATH, --data-path=PATH
    The directory to store data files in (default: ’/var/lib/landscape/client/').

-q, --quiet
    Do not log to the standard output.

-l FILE, --log-dir=FILE
    The directory to write log files to (default: ’/var/log/landscape').

--log-level=LOG_LEVEL
    One of debug, info, warning, error or critical.

-u URL, --url=URL
    The server URL to connect to.

--ping-url=PING_URL
    The URL to perform lightweight exchange initiation with.

-k SSL_PUBLIC_KEY, --ssl-public-key=SSL_PUBLIC_KEY
    The public SSL key is a CA Certificate to verify the server. Only used if the given server URL is https.

--ignore-sigusr1
    Ignore SIGUSR1 signal to rotate logs.

--daemon
    Fork and run in the background.

--pid-file=PID_FILE
    The file to write the PID to.

--monitor-only
    Don't enable management features. This is useful if you want to run the client as a non-root user.

EXAMPLES

To run the client in the foreground, with all logging data printed to standard I/O:

  landscape-client

To run the client in the background with a particular configuration file:

  landscape-client --config=my.conf --daemon

To run the client in the foreground, with a configuration file, but overriding the bus option:

  landscape-client --config=my.conf --bus=session

If you want to run the client in non-root mode, please use --monitor-only (or add it to the config file as monitor_only = True) and add the user you want to run as to the /etc/default/landscape-client file:

  DAEMON_USER=landscape

SEE ALSO

landscape-config (1)

AUTHOR
Landscape Development Team <landscape-team@canonical.com>